Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.xs
Class XSAttributeDecl

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XSAttributeDecl

All Implemented Interfaces:
  weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration, weblogic.apache.xerces.impl.xs.psvi.XSObject

Deprecated. please use JDK supplied XML parsers and transformers

public class XSAttributeDecl
extends Object
implements weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration

The XML representation for an attribute declaration schema component is an element information item

Field Summary
`static short` | `SCOPE_ABSENT` Deprecated.
`static short` | `SCOPE_GLOBAL` Deprecated.
`static short` | `SCOPE_LOCAL` Deprecated.

Constructor Summary
`XSAttributeDecl()` Deprecated.

Method Summary
`weblogic.apache.xerces.impl.xs.psvi.XSAnnotation` | `getAnnotation()` Deprecated. Optional.
`short` | `getConstraintType()` Deprecated. Value constraint: one of default, fixed.
`String` | `getConstraintValue()` Deprecated. Value constraint: The actual value (with respect to the {type definition}) Should we return Object instead of DOMString?
`weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition` | `getEnclosingCTDefinition()` Deprecated. Locally scoped declarations are available for use only within the complex type definition identified by the `scope` property.
`String` | `getName()` Deprecated. The `name` of this `XSObject` depending on the `XSObject` type.
`String` | `getNamespace()` Deprecated. The namespace URI of this node, or `null` if it is unspecified.
`short` | `getScope()` Deprecated. Optional.
`short` | `getType()` Deprecated. Get the type of the object, i.e ELEMENT_DECLARATION.
`weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition` | `getTypeDefinition()` Deprecated. A simple type definition
`ValidatedInfo` | `getValInfo()` Deprecated.
`void` | `reset()` Deprecated.
`void` | `setValues(String name, String targetNamespace, XSSimpleType simpleType, short constraintType, short scope, ValidatedInfo valInfo, XSComplexTypeDecl enclosingCT)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCOPE_ABSENT

    public static final short SCOPE_ABSENT

  Deprecated.
  See Also:
    Constant Field Values

### SCOPE_GLOBAL

    public static final short SCOPE_GLOBAL

  Deprecated.
  See Also:
    Constant Field Values

### SCOPE_LOCAL

    public static final short SCOPE_LOCAL

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### XSAttributeDecl

    public XSAttributeDecl()

  Deprecated.

Method Detail

### getAnnotation

    public weblogic.apache.xerces.impl.xs.psvi.XSAnnotation getAnnotation()

  Deprecated.
  Optional. Annotation.

  Specified by:
    `getAnnotation` in interface `weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration`

### getConstraintType

    public short getConstraintType()

  Deprecated.
  Value constraint: one of default, fixed.

  Specified by:
    `getConstraintType` in interface `weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration`

### getConstraintValue

    public String getConstraintValue()

  Deprecated.
  Value constraint: The actual value (with respect to the {type definition}) Should we return Object instead of DOMString?

  Specified by:
    `getConstraintValue` in interface `weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration`

### getEnclosingCTDefinition

    public weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition getEnclosingCTDefinition()

  Deprecated.
  Locally scoped declarations are available for use only within the complex type definition identified by the `scope` property.

  Specified by:
    `getEnclosingCTDefinition` in interface `weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration`

### getName

    public String getName()

  Deprecated.
  The `name` of this `XSObject` depending on the `XSObject` type.

  Specified by:
    `getName` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getNamespace

    public String getNamespace()

  Deprecated.
  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

  Specified by:
    `getNamespace` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getScope

    public short getScope()

  Deprecated.
  Optional. Either global or a complex type definition ( `ctDefinition`). This property is absent in the case of declarations within attribute group definitions: their scope will be determined when they are used in the construction of complex type definitions.

  Specified by:
    `getScope` in interface `weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration`

### getType

    public short getType()

  Deprecated.
  Get the type of the object, i.e ELEMENT_DECLARATION.

  Specified by:
    `getType` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getTypeDefinition

    public weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition getTypeDefinition()

  Deprecated.
  A simple type definition

  Specified by:
    `getTypeDefinition` in interface `weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration`

### getValInfo

    public ValidatedInfo getValInfo()

  Deprecated.

### reset

    public void reset()

  Deprecated.

### setValues

    public void setValues(String name,
                          String targetNamespace,
                          XSSimpleType simpleType,
                          short constraintType,
                          short scope,
                          ValidatedInfo valInfo,
                          XSComplexTypeDecl enclosingCT)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD